export default {
  SET_LOADING(state, val) {
    state.showLoading = val
  },
  SET_STREETMENU(state, val) {
    state.showStreetMenu = val
  },
  SET_ELEMENTMODAL(state, val) {
    state.showElementModal = val
  },
  SET_CURDATE(state, date) {
    state.curDate = date
  },
  SET_COMMANDLIST(state, data) {
    state.commandList = data
  },
  SET_OPERATELIST(state, data) {
    state.operateList = data
  },
  SET_REPAIRLIST(state, data) {
    state.repairList = data
  },
  SET_HANDLELIST(state, data) {
    state.handleList = data
  },
  SET_DISCOVERYLIST(state, data) {
    state.discoveryList = data
  },
  SET_FOUNDLIST(state, data) {
    state.foundList = data
  },
  SET_SENSORLIST(state, data) {
    state.sensorList = data
  },
  SET_CURSCENE(state, val) {
    state.curScene = val
  },
  SET_PROCESSMODAL(state, val) {
    state.processModal = val
  },
}
